Bug 984214 - Please package Liferea 1.10 as an update
Please package Liferea 1.10 as an update
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: liferea (Show other bugs)
19
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Steven M. Parrish
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-13 13:04 EDT by Jean-François Fortin Tam
Modified: 2013-07-29 15:00 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-29 15:00:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jean-François Fortin Tam 2013-07-13 13:04:00 EDT
Hi there, a new stable release of Liferea is out:

http://article.gmane.org/gmane.comp.gnome.liferea.devel/2713

http://sourceforge.net/projects/liferea/files/Liferea%20Stable/1.10.0/

It depends on GTK3, brings support for the gnome keyring and many other things. Would be really cool if you can package it :)
Comment 1 Emmanuel Seyman 2013-07-19 05:27:47 EDT
Yanko has uploaded the new release in Rawhide.

By and large, the interface looks different enough from the 1.8.x version that I'm not comfortable shipping it as an update.

OTOH, this branch replaces the 1.8 branch. If 1.8 isn't maintained anymore, I'm not sure we have a choice other than pushing 1.10.x to all stable releases.

Yanko, Steven, do you have an opinion on this?
Comment 2 Yanko Kaneti 2013-07-19 05:41:23 EDT
I'd rather not. First as you mentioned the interface is different enough.
Second is the upstream bug-tracker which has some reports about issues with preferences migration, gtk theme issues etc. 

http://sourceforge.net/p/liferea/bugs/

Overall I am not comfortable with inflicting that on stable users.

Another idea is to push 1.10 to updates-testing and never promote it to stable, this will leave only the adventurous users in jeopardy :) and will help having a single line instruction for the people still willing to upgrade.

or

instruct them to mock build themselves the rawhide srpm. It should work for F18/F19 .
Comment 3 Emmanuel Seyman 2013-07-19 08:54:14 EDT
(In reply to Yanko Kaneti from comment #2)
>
> Another idea is to push 1.10 to updates-testing and never promote it to
> stable, this will leave only the adventurous users in jeopardy :)

This would break our ability to issue updates for liferea 1.8.x .
Better to make a personal repo and tell people to enable it.

> instruct them to mock build themselves the rawhide srpm. It should work for
> F18/F19 .

This is how I'm using 1.10.0 . I built it in mock and installed the resulting rpm.
Comment 4 Emmanuel Seyman 2013-07-29 15:00:20 EDT
I've asked the input of the liferea devs on the issue and, based on their reply, we can stick with 1.8.x on the stable branch.

http://thread.gmane.org/gmane.comp.gnome.liferea.devel/2722/

Note You need to log in before you can comment on or make changes to this bug.